Bug 9286 - Невозможна загрузка системы при наличии файла /etc/mdadm.conf из пакета и наличии initrd с опцией --with-raid
: Невозможна загрузка системы при наличии файла /etc/mdadm.conf из пакета и нал...
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mdadm)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
:
:
: 9488
:
  Show dependency tree
 
Reported: 2006-03-20 15:42 by
Modified: 2007-03-03 20:43 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-03-20 15:42:34
mdadm-2.3.1-alt1     
     
При загрузке с initrd, созданным с опцией --with-raid система не может 
загрузиться, так как mdadm, запущенный из скрипта /etc/rc.d/scripts/raidstart, 
который, в свою очередь, запущен из /etc/rc.d/rc.sysinit, возвращает ошибку об 
отсутствии заданных массивов в конфигурационном файле /etc/mdadm.conf. 
Загрузка системы останавливается и выводится приглашение восстановить RAID 
массивы.   
Решение проблемы - закомментировать все опции в файле /etc/mdadm.conf. Если же  
mdadm умеет обрабатывать такую ситуацию правильно, то нужно его заставить это  
делать :)  
  
Steps to Reproduce:
1.apt-get install mdadm  
2.sh /etc/rc.d/scripts/raidstart; echo $?   
3.   
Actual Results:  
Starting RAID devices: (using mdadm) mdadm: No arrays found in config file  
1
------- Comment #1 From 2006-03-20 16:17:16 -------
Хотя опять же, если не прописывать массивы в файле, а использовать 
автообнаружение, то при пустом файле mdadm.conf не будет запущен сервис mdadm 
для мониторинга массивов. Надо или заставить mdadm не выдавать ошибку при 
отсутствии описания массивов в файле, но наличии автообнаруженных или 
прописывать все эти массивы в обязательном порядке. Даже не знаю, что лучше. 
------- Comment #2 From 2006-03-21 22:02:17 -------
Что вообще содержит /etc/mdadm.conf?
Минимальная рабочая конфигурация:
MAILADDR root
DEVICE partitions
------- Comment #3 From 2006-03-21 22:15:05 -------
Ну я ж написал шаги для reproduce :) Ничего не содержит кроме того, что ты 
написал. Этого достаточно, чтобы она не запускалась. Нужно их комментировать :
( 
Попробуй сам, убедишься. 
------- Comment #4 From 2006-03-22 16:45:12 -------
Что содержит /proc/partitions? Есть ли в системе RAID-диски?
------- Comment #5 From 2006-03-23 13:37:30 -------
Подтверждаю.
apt-get install mdadm на системе без RAID достаточно, чтобы больше не загрузиться.
------- Comment #6 From 2006-06-07 23:01:55 -------
Что с багом? Так и будет висеть? Сложно три символа в конфиг вставить? :-)
Или в новой версии пофиксили такое поведение?
------- Comment #7 From 2006-06-08 03:00:05 -------
Бага не в mdadm, а в стартовых скриптах.
Детальное описание и исправление находятся в #9488.
Как только #9488 будет закрыта - я закрою #9286.
------- Comment #8 From 2006-06-11 08:09:31 -------
более того, на системе с корнем на рейде (и еще произвольном количестве рейдов)
мы вообще не загрузимся, потому как массивы уже активированы из initrd всей
пачкой
------- Comment #9 From 2006-06-11 08:10:45 -------
.o0 а сам репорт-то я и не прочитал :)
------- Comment #10 From 2006-06-11 08:18:30 -------
(In reply to comment #6)
> Что с багом? Так и будет висеть? Сложно три символа в конфиг вставить? :-)
> Или в новой версии пофиксили такое поведение?

прям_щаз_workaround - noraidtab в параметрах ядра
------- Comment #11 From 2006-08-22 14:00:33 -------
# sh /etc/rc.d/scripts/raidstart ; echo $?
Starting up RAID devices: (using mdadm) mdadm: /dev/md0 is already active.
mdadm: /dev/md1 is already active.
mdadm: /dev/md2 is already active.
mdadm: /dev/md3 is already active.

1

Это тоже АХТУНГ...
------- Comment #12 From 2006-08-22 15:14:34 -------
(In reply to comment #11)
> # sh /etc/rc.d/scripts/raidstart ; echo $?
> Starting up RAID devices: (using mdadm) mdadm: /dev/md0 is already active.
> mdadm: /dev/md1 is already active.
> mdadm: /dev/md2 is already active.
> mdadm: /dev/md3 is already active.
> 1
> Это тоже АХТУНГ...

workaround есть какой-нить?
------- Comment #13 From 2007-01-04 12:25:19 -------
В mdadm-2.5.5 это сообщение убрано.
------- Comment #14 From 2007-02-23 04:19:26 -------
fixed?
------- Comment #15 From 2007-03-03 20:43:00 -------
Я считаю, что бага закрыта.
Если кто-то не согласен - открывайте заново и аргументируйте.